
hook'specials/1'.onActivate = function (l, x, y, player)
  player:warp('maps/level1.tmx', 14, 74)
end

hook'specials/2'.onActivate = function (l, x, y, player)
  player:warp('maps/level1c.tmx', 18, 18)
end

hook'cave_buttons/1'.onActivate = function (l, x, y, player)
  world.state.button_green = not world.state.button_green
end

function map.updateState()
  map:setField('stairs_cave/6', 2, map:find('specials/1')[1])
  for i,pos in ipairs(map:find('specials/2')) do
    map:setField(i == 2 and 'stairs/5' or 'stairs/6', 2, pos) end
  map:setField(world.state.button_green and 'cave_buttons/6' or 'cave_buttons/1', map:find('cave_buttons/1')[1])
  map:setField(world.state.button_orange and 'doors/8' or 'doors/12', map:find('doors/8')[1])
end

map.updateState()
local d = map:find('doors/8')[1]; map.animTimes[d.i][d.y][d.x] = -100
map.doorcolor[d.x] = { 1, 0.5, 0 }

local function spawnuj_pavuka_lahkeho(x,y)
 map:addEnemy(x, y, { size = 0.8, pursuitSpeed = 1, stopPursuitDistance = 10, health = 1 }, { base = 'spider_eyes/', frames = 2, delay = 3 })
end
local function spawnuj_pavuka_stredneho(x,y)
 map:addEnemy(x, y, { size = 0.8, pursuitSpeed = 3, stopPursuitDistance = 8, health = 1 }, { base = 'spider_eyes/', frames = 2, delay = 3 })
end
local function spawnuj_pavuka_tazkeho(x,y)
 map:addEnemy(x, y, { size = 0.76, pursuitSpeed = 3.5, stopPursuitDistance = 12, health = 2, walkTimeMin = 1, walkTimeMax = 1 }, { base = 'spider_blue/', frames = 4, delay = 2 })
end
local function spawnuj_motyla_modreho(x,y)
 map:addEnemy(x, y, { size = 0.76, pursuitSpeed = 2.8, stopPursuitDistance = 9, health = 1 }, { base = 'butterfly/', frames = 2, delay = 3 })
end
local function spawnuj_motyla_cerveneho(x,y)
 map:addEnemy(x, y, { size = 0.76, pursuitSpeed = 2.8, stopPursuitDistance = 9, health = 2 }, { base = 'butterfly_red/', frames = 2, delay = 3 })
end
local function spawnuj_hlavu(x,y)
 map:addEnemy(x, y, { size = 0.8, pursuitSpeed = 0.5, speed = 0.5, stopPursuitDistance = 12, health = 7, waitTimeMin = 10, waitTimeMax = 15 }, { base = 'olmec_head_alive/', frames = 4, delay = 2 })
end

  spawnuj_motyla_cerveneho(28, 42)
  spawnuj_motyla_cerveneho(28, 43)
  spawnuj_motyla_cerveneho(28, 44)
  spawnuj_motyla_modreho(28, 45)
  spawnuj_motyla_modreho(28, 46)
  spawnuj_motyla_modreho(28, 47)
  spawnuj_motyla_modreho(28, 48)
  spawnuj_pavuka_lahkeho(36, 23)
  spawnuj_pavuka_lahkeho(24, 32)
  spawnuj_pavuka_lahkeho(17, 16)
  spawnuj_pavuka_lahkeho(46, 61)
  spawnuj_pavuka_stredneho(36, 79)
  spawnuj_pavuka_stredneho(74, 39)
  spawnuj_pavuka_lahkeho(74, 39)
  spawnuj_pavuka_lahkeho(74, 38)
  spawnuj_pavuka_lahkeho(74, 37)
  spawnuj_pavuka_stredneho(74, 38)
  spawnuj_pavuka_lahkeho(74, 37)
  spawnuj_pavuka_tazkeho(81, 63)
  spawnuj_pavuka_tazkeho(50, 79)
  spawnuj_hlavu(30, 48)
  spawnuj_hlavu(36, 32)
  spawnuj_hlavu(39, 63)
  spawnuj_hlavu(75, 21)
  spawnuj_hlavu(50, 29)
  spawnuj_hlavu(51, 41)