
require 'test.nehe.nehelib'

require 'justify'

--my_string = "KERNING IS A TECHNIQUE THAT CHANGES SPACES BETWEEN GLYPHS."
my_string = assert(FS.load('test/ftgl.lua'):read())

function drawGLScene()
  glClear(GL_COLOR_BUFFER_BIT + GL_DEPTH_BUFFER_BIT)
  
  glLoadIdentity()
  glColor(0, 0, 0)
  glTranslate(10, HEIGHT-my_font.ascent, 0)
  for i,v in ipairs(my_string_justify) do
    glPushMatrix()
    glTranslate(0, -(i-1)*my_font.height, 0)
    Justify.print(v)
    glPopMatrix()
  end
end

initScreen()

glMatrixMode(GL_PROJECTION); glLoadIdentity()
glOrtho(0, WIDTH, 0, HEIGHT, -100, 100)
glMatrixMode(GL_MODELVIEW); glLoadIdentity()

glClearColor(1, 1, 0, 0)

glEnable(GL_TEXTURE_2D); glEnable(GL_BLEND); glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA)
my_texture = glGenTextures(1)
my_font = FS.load('fonts/DejaVuSansMono.ttf'):font(12, 256, my_texture, true)
glTexParameter(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR)
glTexParameter(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR)
my_string_justify = Justify.prepareLines(my_font, my_string, 620)

NeheLoop:new():run()
