
require 'test.nehe.nehelib'

function drawGLScene(interpolation)
  glClear(GL_COLOR_BUFFER_BIT + GL_DEPTH_BUFFER_BIT)
  
  glLoadIdentity()
  glTranslate(-1.5, 0, -6)
  
  glBegin(GL_TRIANGLES)
    glColor(1, 0, 0) glVertex( 0,  1, 0)
    glColor(0, 1, 0) glVertex(-1, -1, 0)
    glColor(0, 0, 1) glVertex( 1, -1, 0)
  glEnd()
  
  glTranslate(3.0, 0, 0)
  
  glColor(0.5, 0.5, 1)
  glBegin(GL_QUADS)
    glVertex(-1,  1, 0)
    glVertex( 1,  1, 0)
    glVertex( 1, -1, 0)
    glVertex(-1, -1, 0)
  glEnd()
end

initScreen()

glShadeModel(GL_SMOOTH)
glClearColor(0, 0, 0, 0)
glClearDepth(1)
glEnable(GL_DEPTH_TEST)
glDepthFunc(GL_LEQUAL)
glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST)

NeheLoop:new():run()
