
local groups = {
  { 'cave_walls/0', 'cave_walls/1', 'cave_walls/2', 'cave_walls/3' },
  { 'cave/2', 'cave/2', 'cave/2', 'cave/2', 'cave/2', 'cave/2', 'cave/2',
    'cave/2', 'cave/2', 'cave/2', 'cave/2', 'cave/2', 'cave/2', 'cave/2',
    'cave/3', 'cave/3', 'cave/3', 'cave/3', 'cave/3', 'cave/3', 'cave/3',
    'cave/3', 'cave/3', 'cave/3', 'cave/3', 'cave/3', 'cave/3', 'cave/3',
    'cave/4', 'cave/4', 'cave/4', 'cave/4', 'cave/4', 'cave/4', 'cave/4',
    'cave/4', 'cave/4', 'cave/4', 'cave/4', 'cave/4', 'cave/4', 'cave/4',
    'cave/5', 'cave/6', 'cave/9', 'cave/10', 'cave/11' },
  { 'ruins/1', 'ruins/1', 'ruins/1', 'ruins/1', 'ruins/1', 'ruins/1',
    'ruins/1', 'ruins/1', 'ruins/1', 'ruins/2' },
  { 'walls_ruins/0', 'walls_ruins/1', 'walls_ruins/2', 'walls_ruins/3',
    'walls_ruins/4', },
  { 'walls_ruins/5', 'walls_ruins/12' },
  { 'walls_ruins/13', 'walls_ruins/14', 'walls_ruins/15', 'walls_ruins/16',
    'walls_ruins/17', 'walls_ruins/18', 'walls_ruins/19', 'walls_ruins/20',
    'walls_ruins/22', 'walls_ruins/24', 'walls_ruins/25' },
  { 'walls_ruins/26', 'walls_ruins/29', 'walls_ruins/30', 'walls_ruins/31',
    'walls_ruins/32', 'walls_ruins/33', 'walls_ruins/34', 'walls_ruins/35',
    'walls_ruins/36', 'walls_ruins/37', 'walls_ruins/48' },
  { 'grass/7', 'grass/8', 'grass/9', 'grass/10', 'grass/11', 'grass/14',
    'grass/15', 'grass/16', 'grass/17', 'grass/21', 'grass/22', 'grass/23',
    'grass/24', 'grass/28', 'grass/29', 'grass/30', 'grass/31', 'grass/35',
    'grass/36', 'grass/37', 'grass/38' },
  --{ 'cave/0', 'cave/1', 'cave/0', 'cave/1', 'cave/0', 'cave/1',
  --  'ice/0', 'ice/1', 'ice/0', 'ice/1', 'ice/0', 'ice/1', 'specials/1' },
  { 'ice/0', 'ice/1' },
  { 'cave/0', 'cave/1' },
  { 'ice/2', 'ice/2', 'ice/2', 'ice/2', 'ice/3', 'ice/3', 'ice/3', 'ice/3',
    'ice/4', 'ice/4', 'ice/4', 'ice/4', 'ice/5', 'ice/6', 'ice/7' }
}

math.randomseed(os.time())
local random = {}
local result = {}
local map = require'yarivan.MapLoader'.load(arg[1])
require 'yarivan.Map'; local wrappedmap = { data = map }
for i,group in ipairs(groups) do for i,gid in ipairs(group) do
  local a,b = pcall(yarivan.Map.parseTile, wrappedmap, gid)
  if a then group[i] = b; random[group[i]] = group end
end end
for i,gid in ipairs(map.layers[1].data) do
  if random[gid] then gid = random[gid][math.random(#random[gid])] end
  result[#result+1] = '\n   <tile gid="'..gid..'"/>'
end
result = assert(FS.loadText(arg[1])):gsub('<data.-</data>',
  '<data>'..table.concat(result)..'\n  </data>', 1)
io.write(result)

