
-- this simple file makes gl and glu available in global namespace

for i,tableid in ipairs({ 'gl', 'glu' }) do
  for k,v in pairs(_G[tableid]) do
    local t = type(v)
    if t == 'function' then
      rawset(_G, tableid..k, v)
    elseif t == 'number' or t == 'boolean' or t == 'string' then
      rawset(_G, 'GL_'..k, v)
    end
  end
end

