
pcall(require, 'userrc')

require 'SDL'
require 'gl'
require 'zlib'
require 'bit'
require 'ftgl'
require 'buf'

FS.load = FS.loadRW

local allfiles = {}
local rec; function rec(path)
  for name,mode in pairs(FS.listFiles(path)) do
    if mode == 'directory' then rec(path..'/'..name)
    else allfiles[path..'/'..name] = true
    end
  end
end
rec('')
FS.matchFiles = function (pattern)
  local result = {}
  for k,v in pairs(allfiles) do
    if k:match(pattern) then result[#result+1] = k end
  end
  table.sort(result)
  return result
end

require 'Object'
Object.instantiate = Object.subclass
function Class(o) return Object:subclass(o) end

require 'Textures'
function Textures.bind(...)
  local texture = Textures.load(...)
  gl.BindTexture(GL.TEXTURE_2D, texture.name)
  return texture.name, texture
end

_SOUND = false

SDL.Init(SDL.INIT_VIDEO + SDL.INIT_AUDIO + SDL.INIT_TIMER)

require(table.remove(arg, 1) or 'start')
error(false)

